read.phenoData {Biobase} | R Documentation

## Read 'phenoData'

### Description

Create an instance of class phenoData by reading a file or by using widgets.

### Usage

    read.phenoData(filename = NULL, sampleNames = NULL, widget = getOption("BioC")$Base$use.widgets, ...)

### Arguments

`filename` | filename from which to read information for `pData` slot.
`sampleNames` | `sampleNames` for rows of `pData`. If widgets are used this is required.
`widget` | logical. If `TRUE` and a filename is not given, widgets are used to enter information.
`...` | Further arguments to `read.table`

### Details

The function `read.table` is used to read `pData`. The function must be a flat file. The first row must be the column names which are the covariate names. The first column must be the sampleNames. Entries must be space delimited unless otherwise specied through ....

If a filename overides the `widget` argument.

If no filename is given and no widgets are used a dummy phenoData object is created for the sampleNames. See example.

### Value

An instance of class `phenoData`

### Author(s)

Rafael A. Irizarry <rafa@jhu.edu>

### See Also

`phenoData`, `tkphenoData`

### Examples

    pd <- read.phenoData(sampleNames=c("sample1","sample2"),widget=FALSE)
    show(pd)
    show(pData(pd))

[Package Biobase version 1.16.3 Index]